import {
  IsString,
  IsNotEmpty,
  IsNumber,
  IsArray,
  IsOptional
} from 'class-validator'

export class GetNativeAgentListDto {
  @IsNumber()
  @IsNotEmpty({ message: 'page不能为空' })
  page: number

  @IsNumber()
  @IsNotEmpty({ message: 'page_size不能为空' })
  pageSize: number

  @IsString()
  @IsOptional()
  createUser?: string

  @IsString()
  @IsOptional()
  updateUser?: string
}

export class GetNativeAgentConfigurationDto {
  @IsString()
  @IsNotEmpty({ message: 'agent_id不能为空' })
  agentId: string
}

export class SaveNativeAgentConfigurationDto {
  @IsString()
  @IsNotEmpty({ message: 'user不能为空' })
  user: string

  @IsNumber()
  @IsOptional()
  agentId?: number

  @IsString()
  @IsNotEmpty({ message: 'name不能为空' })
  name: string

  @IsString()
  @IsOptional()
  displayName?: string

  @IsNumber()
  @IsOptional()
  type?: number

  @IsString()
  @IsOptional()
  executionModel?: string

  @IsString()
  @IsOptional()
  systemPrompt?: string

  @IsString()
  @IsOptional()
  taskPrompt?: string

  @IsArray()
  @IsOptional()
  tools?: string[]

  @IsArray()
  @IsOptional()
  subAgents?: number[]

  @IsString()
  @IsOptional()
  extraParams?: string
}
