import { IsString, IsNotEmpty, IsNumber } from 'class-validator'

export class GetModuleConfigurationDto {
  @IsString()
  @IsNotEmpty({ message: 'module_id不能为空' })
  moduleId: number
}

export class SaveModuleConfigurationDto {
  @IsNumber()
  @IsNotEmpty({ message: 'id不能为空' })
  id: number

  @IsString()
  @IsNotEmpty({ message: 'name不能为空' })
  name: string

  @IsString()
  @IsNotEmpty({ message: 'display_name不能为空' })
  displayName: string

  @IsNumber()
  @IsNotEmpty({ message: 'default_agent_type不能为空' })
  defaultAgentType: number

  @IsNumber()
  @IsNotEmpty({ message: 'default_agent_id不能为空' })
  defaultAgentId: number

  @IsString()
  @IsNotEmpty({ message: 'create_time不能为空' })
  createTime: string

  @IsString()
  @IsNotEmpty({ message: 'updated_time不能为空' })
  updatedTime: string
}
